<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

if($_GET['contenedor']) {
	$contenedor=$_GET['contenedor'];
	$esperarCarga=true;
}

if($_GET['procedencia']) $procedencia=$_GET['procedencia'];
if($_GET['subProcedencia']) $subProcedencia=$_GET['subProcedencia'];

switch($procedencia) {

	case 'devoluciones':
		$titulo='Devolución a estantería - Productos en palet';
		break;
	case 'informarNSInterno':
		$titulo='Informar números de serie internos en palet';
		break;
	default:
		$titulo='Productos en palet';

}

?>

<h2><?php echo $titulo; ?></h2>

<form id="formularioContenedor" name="formularioContenedor" method="post" action="">
	<p>Palet:<br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor" /><input name="contenedor" type="text" class="campo" id="contenedor" value="<?php echo $contenedor; ?>" style="width:460px"/>
	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarContenedor"/></p>
</form>

<p id="selectorUbicacion">Ubicación actual:<br />
<input type="text" name="ubicacionActual" id="ubicacionActual" readonly class="campo enlaceLimpio deshabilitado" /></p>

<div id="listaProductos">
</div>

<script>

function carga() {

	$('#popupCargando').show();
		
	$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php?traza=<?php echo $_GET['traza']; ?>", { 'contenedor' : $("#contenedor").val() , 'procedencia' : '<?php echo $procedencia; ?>' })
		.done(function(data) {
		
			var info=data.split('#');
			
			if(info[0]=='error') {
				
				$('#popupCargando').hide();
				$("#contenedor").val('');
				alert(info[2],$("#contenedor"),'error');
					
			}
			else {
				
				var ubicacionMostrar;
				
				if(info[2]!='') ubicacionMostrar=info[2]; else ubicacionMostrar=info[0];
				
				$('#ubicacionActual').val(ubicacionMostrar);
				
				<?php if($procedencia=='devoluciones') { ?>
				$.post( "<?php echo $rutaHtml; ?>/contenidos/devolucion-estanteria-productos.php?traza=<?php echo $_GET['traza']; ?>", { 'palet' : $("#contenedor").val() })
				<?php } else if($procedencia=='informarNSInterno') { ?>
				$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor-ns-interno.php?traza=<?php echo $_GET['traza']; ?>", { 'palet' : $("#contenedor").val() })
				<?php } else { ?>
				$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php?traza=<?php echo $_GET['traza']; ?>", { 'contenedor' : $("#contenedor").val() })
				<?php } ?>
				.done(function(data) {
					$('#popupCargando').hide();
					$('#listaProductos').html(data);
				});
				
			}
	});

}

$(document).ready(function() {

	$("#contenedor").focus();

	if($("#contenedor").val()!='') carga();

	$('#formularioContenedor').on("submit",function(e){
		
		e.preventDefault();
		carga();
		
	});
	
	$('#ubicacionActual').on("click",function(){
		
		//if($('#ubicacionActual').val()!='') {
			$('#popupCargando').show();
			window.location="info-ubicacion-S.php?ubicacion="+$('#ubicacionActual').val();
		//}
		
	});
	
	$('#borrarContenedor').on("click",function(){
		
		$("#contenedor").val('');
		$("#ubicacionActual").val('');
		$("#listaProductos").empty();
		$("#contenedor").focus();
		
	});
	
	$('#tecladoContenedor').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedor').val() );
		$('#valorOculto').val( $('#contenedor').val() );
		$('#enter').attr('campoValor','contenedor');
		$('#enter').attr('formulario','formularioContenedor');
		
	});

});

</script>

<?php
if($procedencia=='devoluciones') {

	$desactivaStop=true;
	
	include($rutaPhp.$rutaHtml.'/maqueta/menu-devolucion-estanteria.php');
	
	?>
    <script>
	
		$(document).ready(function() {
		
			$(document).on('click','.selectorInicio',function(){
				
				var valor=$(this).is(':checked');
				
				$('.selectorInicio').prop('checked',false);
				
				if(valor) $(this).prop('checked',true);

			});
		
			$('#botonLectura').on("click",function(e){
			
				e.preventDefault();
				
				var haySeleccionado=false;
				var seleccion;
				
				$('.selectorInicio').each(function(){
					if( $(this).is(':checked') ) {
						haySeleccionado=true;
						seleccion=$(this);
					}
				});
				
				if(!haySeleccionado) {
					alert('Selecciona una línea de producto para continuar.',null,'error');
				}
				else {
				
					$('#popupCargando').show();
					
					var indiceLinea=seleccion.attr('id');
					var UbiOrigen=$('#ubicacionActual').val();
					var UbiPropuesta=seleccion.attr('UbiPropuesta');
					
					window.location='<?php echo $rutaHtml; ?>/devolucion-estanteria-proceso.php?linea='+indiceLinea+'&palet=<?php echo $contenedor; ?>&UbiOrigen='+UbiOrigen+'&UbiPropuesta='+UbiPropuesta;	
					
				}
			});
		
			$('#botonVolver').on("click",function(e){
				e.preventDefault();
				$('#popupCargando').show();
				window.location='<?php echo $rutaHtml; ?>/devoluciones-estanteria.php';	
			});
		
		});
	
	</script>
    
    <?php
	
	
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
